メイン コンテンツにスキップ

このブラウザーはサポートされなくなりました。

Microsoft Edge にアップグレードすると、最新の機能、セキュリティ更新プログラム、およびテクニカル サポートを利用できます。

Microsoft Edge をダウンロードする Internet Explorer と Microsoft Edge の詳細情報
microsoft-foundry.rest.security.o-auth2-auth

Routines

Create or update a routine

PUT /routines/{routine_name}

Creates a new routine or replaces an existing routine with the supplied definition.

ヘッダー パラメーター

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Routines=V2Preview

パス パラメーター

routine_name string 必須

The unique name of the routine.

クエリ パラメーター

api-version string 必須

The API version to use for this operation.

要求本文

Content-Type: application/json
description string

A human-readable description of the routine.

enabled boolean

Whether the routine is enabled.

triggers object

The triggers configured for the routine. In v1, exactly one trigger entry is supported.

[key: string] schedule | timer | github_issue | custom

Base model for a routine trigger.

次のいずれか:
schedule ScheduleRoutineTrigger

A recurring cron-based routine trigger.

type enum 必須

The trigger type.

schedule
cron_expression string 必須

A 5-field cron expression. The service enforces a minimum interval of five minutes by default.

time_zone string 必須

An IANA or Windows time zone identifier for the schedule.

timer TimerRoutineTrigger

A one-shot timer routine trigger.

type enum 必須

The trigger type.

timer
at integer
github_issue GitHubIssueRoutineTrigger

A GitHub issue routine trigger.

type enum 必須

The trigger type.

github_issue
connection_id string 必須

The workspace connection identifier that resolves the GitHub configuration for the trigger.

owner string 必須

The GitHub owner or organization that scopes which issues can fire the trigger.

repository string 必須

The GitHub repository filter that scopes which issues can fire the trigger.

issue_event string | enum 必須

Known GitHub issue events that can fire a routine.

次のいずれか:
string
enum
openedclosed
custom CustomRoutineTrigger

A custom event routine trigger.

type enum 必須

The trigger type.

custom
provider string 必須

The external provider that emits the custom event.

event_name string

The provider-specific event name that fires the routine.

parameters object 必須

Provider-specific trigger parameters.

action invoke_agent_responses_api | invoke_agent_invocations_api

Base model for a routine action.

次のいずれか:
invoke_agent_responses_api InvokeAgentResponsesApiRoutineAction

Dispatches a routine through the responses API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum 必須

The action type.

invoke_agent_responses_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentResponsesApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

conversation string

An optional existing conversation identifier to continue during the downstream dispatch.

invoke_agent_invocations_api InvokeAgentInvocationsApiRoutineAction

Dispatches a routine through the raw invocations API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum 必須

The action type.

invoke_agent_invocations_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentInvocationsApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

session_id string

An optional existing hosted-agent session identifier to continue during the downstream dispatch.

authorization RoutineAuthorization

Optional authorization configuration for a routine dispatch.

identity string | enum

The supported identities for routine dispatch authorization.

次のいずれか:
string
enum
agentcreator

応答

The request has succeeded.

本文

Content-Type: application/json
name string

The routine name.

description string

A human-readable description of the routine.

enabled boolean 必須

Whether the routine is enabled.

triggers object

The triggers configured for the routine.

[key: string] schedule | timer | github_issue | custom

Base model for a routine trigger.

次のいずれか:
schedule ScheduleRoutineTrigger

A recurring cron-based routine trigger.

type enum 必須

The trigger type.

schedule
cron_expression string 必須

A 5-field cron expression. The service enforces a minimum interval of five minutes by default.

time_zone string 必須

An IANA or Windows time zone identifier for the schedule.

timer TimerRoutineTrigger

A one-shot timer routine trigger.

type enum 必須

The trigger type.

timer
at integer
github_issue GitHubIssueRoutineTrigger

A GitHub issue routine trigger.

type enum 必須

The trigger type.

github_issue
connection_id string 必須

The workspace connection identifier that resolves the GitHub configuration for the trigger.

owner string 必須

The GitHub owner or organization that scopes which issues can fire the trigger.

repository string 必須

The GitHub repository filter that scopes which issues can fire the trigger.

issue_event string | enum 必須

Known GitHub issue events that can fire a routine.

次のいずれか:
string
enum
openedclosed
custom CustomRoutineTrigger

A custom event routine trigger.

type enum 必須

The trigger type.

custom
provider string 必須

The external provider that emits the custom event.

event_name string

The provider-specific event name that fires the routine.

parameters object 必須

Provider-specific trigger parameters.

action invoke_agent_responses_api | invoke_agent_invocations_api

Base model for a routine action.

次のいずれか:
invoke_agent_responses_api InvokeAgentResponsesApiRoutineAction

Dispatches a routine through the responses API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum 必須

The action type.

invoke_agent_responses_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentResponsesApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

conversation string

An optional existing conversation identifier to continue during the downstream dispatch.

invoke_agent_invocations_api InvokeAgentInvocationsApiRoutineAction

Dispatches a routine through the raw invocations API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum 必須

The action type.

invoke_agent_invocations_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentInvocationsApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

session_id string

An optional existing hosted-agent session identifier to continue during the downstream dispatch.

created_at integer
updated_at integer

Client error

本文

Content-Type: application/json
error OpenAI.Error 必須
code string | null 必須
message string 必須
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
次のいずれか:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必須

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

本文

Content-Type: application/json
error OpenAI.Error 必須
code string | null 必須
message string 必須
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
次のいずれか:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必須

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

要求

PUT /routines/{routine_name} HTTP/1.1

回答

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
ja-jp
プライバシーの選択
  • AI 免責事項
  • 以前のバージョン
  • ブログ
  • 投稿
  • プライバシー
  • コンシューマーの健康に関するプライバシー
  • 利用条件
  • 商標
  • © Microsoft 2026